Commits

cynapsia committed dd8fc30

update for easystroke and sunflower

  • Participants
  • Parent commits fdd14b6

Comments (0)

Files changed (7)

File app-misc/sunflower/Manifest

+DIST Sunflower-0.1a-42.tgz 595510 RMD160 d4f6e7dd0a3be2533797c3bef0144131b5700270 SHA1 b1be265abce558c9cde0c5df10ccad4560b2f85b SHA256 1435b3fb4d98d7cf9263a7695f89b9980e99042237f4c816bd804a2434e3f706
+EBUILD sunflower-0.1_alpha_p42.ebuild 1035 RMD160 8497cc675a2c3bae7100fbcbb588cc7da67282cf SHA1 25cfdb9558337633ec72058c497406062a95e0b4 SHA256 e8773fe264fb70ece647cd8e8455f11d71fd79fd26ce258a386391f37e839b6e
+EBUILD sunflower-9999.ebuild 951 RMD160 8219aab656ad0866e6c78263e7b1099b0f6a502d SHA1 8945d10db96edd569854a12d3a39dbc42812c3ac SHA256 6048312fc5043b3ea106050c7987cfa9221b5c2d5b932ec661f5ef1109bbbc47
+MISC metadata.xml 324 RMD160 3e9bede47d0712eb50f92220474473dc5c26badc SHA1 93d4d56e6f56d5c9e882a9635bbcf6a8b0a43dbe SHA256 73f05a49f82d1828ca15d3f79e803e7a3bdddc08618c230fc70d5800c6b3a5fb

File app-misc/sunflower/metadata.xml

+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+  <email>maksbotan@gentoo.org</email>
+</maintainer>
+<maintainer>
+  <email>cynapsia@gmail.com</email>
+  <name>Liliane Kaylee Gross</name>
+</maintainer>
+</pkgmetadata>

File app-misc/sunflower/sunflower-0.1_alpha_p42.ebuild

+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+PYTHON_DEPEND="2"
+
+inherit python
+
+MY_PN="Sunflower"
+MY_PV=${PV/_alpha_p/a-}
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Small and highly customizable twin-panel file manager"
+HOMEPAGE="http://code.google.com/p/sunflower-fm/"
+SRC_URI="http://sunflower-fm.googlecode.com/files/${MY_P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="dev-python/notify-python
+	dev-python/gnome-vfs-python
+	dev-python/libwnck-python
+	x11-libs/vte"
+
+S="${WORKDIR}"/"${MY_P}"
+
+pkg_setup(){
+	echo ${MY_P}
+	python_set_active_version 2
+}
+
+src_install(){
+	insinto /opt/sunflower
+	doins -r .
+	dodir /usr/bin
+	cat > "${ED}"/usr/bin/sunflower << EOF
+#!/bin/sh
+
+python2 "${EPREFIX}"/opt/sunflower/Sunflower.py
+EOF
+	chmod +x "${ED}"/usr/bin/sunflower
+}
+
+pkg_postinst(){
+	python_mod_optimize "${EPREFIX}"/opt/sunflower/application
+}
+
+pkg_postrm(){
+	python_mod_cleanup "${EPREFIX}"/opt/sunflower/application
+}

File app-misc/sunflower/sunflower-9999.ebuild

+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+PYTHON_DEPEND="2"
+
+inherit python mercurial
+
+DESCRIPTION="Small and highly customizable twin-panel file manager"
+HOMEPAGE="http://code.google.com/p/sunflower-fm/"
+
+EHG_REPO_URI="https://code.google.com/p/sunflower-fm/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND=""
+RDEPEND="dev-python/notify-python
+	dev-python/gnome-vfs-python
+	dev-python/libwnck-python
+	x11-libs/vte"
+
+S="${WORKDIR}"/"${PN}"-"${PV}"
+
+pkg_setup(){
+	python_set_active_version 2
+}
+
+src_install(){
+	insinto /opt/sunflower
+	doins -r .
+	dodir /usr/bin
+	cat > "${ED}"/usr/bin/sunflower << EOF
+#!/bin/sh
+
+python2 "${EPREFIX}"/opt/sunflower/Sunflower.py
+EOF
+	chmod +x "${ED}"/usr/bin/sunflower
+}
+
+pkg_postinst(){
+	python_mod_optimize "${EPREFIX}"/opt/sunflower/application
+}
+
+pkg_postrm(){
+	python_mod_cleanup "${EPREFIX}"/opt/sunflower/application
+}

File x11-misc/easystroke/Manifest

------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
 DIST easystroke-0.5.4.tar.gz 103111 RMD160 55aadba296577f599588cdd792a970914b34b0b5 SHA1 25ac617f4b8a2b804738a8749e96e379c95ea691 SHA256 b18cd209248b1a6bcaa8bba42fe85b82e117cdb78d1b57ba3f5e2308cb3a5f64
+DIST easystroke-0.5.5.1.tar.gz 114390 RMD160 fa6eac68740e61ccf282f1cd86a02d346eb4b0dc SHA1 04a15d6d50f883b6d492a70adf53943e61dc6ca9 SHA256 47fd69a7749c45ca3ea4d373b355d457dc224357c192c4b718b7c92d19955c7c
 EBUILD easystroke-0.5.4.ebuild 915 RMD160 7cda6fa6ee23e31090e3c854ff457b29297a073d SHA1 fda0746b6eeb44987fee5941277846ffeb8f15ef SHA256 bd364bc22ea0f600b5f4d32ccf3180e28e0cc108a17a8b64f8df8cb0fafba630
-MISC metadata.xml 250 RMD160 b573183a89f7669905253f441978b032064cefa0 SHA1 c87b6b73ec4c1548ae44bcfd32f189d6edfd92a2 SHA256 417b96dd2847e2e9e5c045defaaba85faeebb7c00f02c8681925a424850bf94f
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
-
-iJwEAQECAAYFAk3BplEACgkQL4/Hh348YDlozgQAiUtCzEuosISRyY03ovdvrSay
-Dfp5UhDlL5sv4cl6wOn5jwYIQuurhP9zbsLc3ZIYo46IJJ6xrUVP1RiCdD1+V8AV
-WJBx+l2dQs6n2hw0EOOH1sVsT1xpeOacSkhnB68KjRbJ9r4QffF9d3vcZvGnP57E
-o3UYLfopMKT0AVxrKDQ=
-=DaRs
------END PGP SIGNATURE-----
+EBUILD easystroke-0.5.5.1.ebuild 929 RMD160 908caba76f9ae3d6f25e3e1687c1e30c202806a6 SHA1 9e0876cc0ca7adbf96e00ff560adbb2139127c08 SHA256 f0537db26e57646455a9120394ac37b748e732d8f5be886821209b6cf5b281f0
+MISC metadata.xml 262 RMD160 aa839eb87b5102395c8a51eb44b42d8a2e5365eb SHA1 30d8151ab56987e2ef9b19b43f48cbaa8322ae4d SHA256 a8ac5c4e08aa2494f77bb7455b55cbc776eebac5ef9bc2e42f8392f86b04727c

File x11-misc/easystroke/easystroke-0.5.5.1.ebuild

+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit eutils
+
+DESCRIPTION="Easystroke is a gesture-recognition application for X11."
+HOMEPAGE="http://easystroke.wiki.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+RDEPEND="dev-cpp/gtkmm:2.4
+	x11-libs/libXrandr
+	x11-apps/xinput
+	x11-libs/libXtst
+	dev-libs/boost
+	dev-libs/dbus-glib"
+DEPEND="${RDEPEND}
+	dev-util/intltool"
+
+src_compile() {
+	sed -i "s/^LDFLAGS/#LDFLAGS/" Makefile || die "sed Makefile failed!"
+	sed -i "s!^Icon=easystroke!Icon=/usr/share/icons/hicolor/scalable/apps/easystroke.svg!" easystroke.desktop.in || die "sed easystroke.desktop.in failed!"
+	emake DESTDIR="${D}" PREFIX="/usr/" || die "emake failed!"
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="/usr" install || die "emake install failed!"
+}

File x11-misc/easystroke/metadata.xml

 	<herd>no-herd</herd>
 	<maintainer>
 		<email>cynapsia@gmail.com</email>
-		<name>cynapsia</name>
+		<name>Liliane Kaylee Gross</name>
 	</maintainer>
 </pkgmetadata>